Package: org.grails.cli.gradle.cache

## [Groovy] Class MapReadingCachedGradleOperation<V>

- org.grails.cli.gradle.cache.MapReadingCachedGradleOperation

- Cached Gradle operation that reads a Map

  Authors:
    Graeme Rocher
  Since:
    3.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedGradleOperation` | `fileName, projectContext`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `V` | `createMapValue(java.lang.Object value)`
    `` | `java.util.Map<java.lang.String, V>` | `readFromCached(java.io.File f)`
    `` | `void` | `writeToCache(java.io.PrintWriter writer, java.util.Map<java.lang.String, V> data)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CachedGradleOperation` | `call, readFromCached, readFromGradle, storeData, updateStatusMessage, writeToCache`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### V createMapValue(java.lang.Object value)

    - #### @java.lang.Override java.util.Map<java.lang.String, V> readFromCached(java.io.File f)

    - #### @java.lang.Override void writeToCache(java.io.PrintWriter writer, java.util.Map<java.lang.String, V> data)